Index: /trunk/cfg/SEI/interLayerConstrainedTileSetsSei.cfg
===================================================================
--- /trunk/cfg/SEI/interLayerConstrainedTileSetsSei.cfg	(revision 1356)
+++ /trunk/cfg/SEI/interLayerConstrainedTileSetsSei.cfg	(revision 1356)
@@ -0,0 +1,34 @@
+
+PayloadType                     : 161
+
+#======== Applicability  ==========    ( SEI is only send for pictures in intersection )
+ApplicableLayerIds              :                                # LayerIds      of layers   to which the SEI is added. (all when empty)
+ApplicablePocs                  : 0                              # POCs          of pictures to which the SEI is added. (all when empty)
+ApplicableTids                  :                                # Tids          of pictures to which the SEI is added. (all when empty)
+ApplicableVclNaluTypes          :                                # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
+
+#======== Position in bit stream  ============
+SeiNaluId                       : 0                              # Identifies to which NAL unit  the SEI is added. 
+PositionInSeiNalu               : 0                              # Identifies the position within the NAL unit
+
+#======== Payload modification =============
+ModifyByEncoder                 : 0                              #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
+
+#======== Payload specification =============
+IlAllTilesExactSampleValueMatchFlag: 0
+IlOneTilePerTileSetFlag         : 0
+IlNumSetsInMessageMinus1        : 3
+SkippedTileSetPresentFlag       : 0
+IlctsId                         : 0 1 2 2
+IlNumTileRectsInSetMinus1       : 1 2 3 3
+IlTopLeftTileIndex_0            : 0 0
+IlTopLeftTileIndex_1            : 0 0 0
+IlTopLeftTileIndex_2            : 0 1 2 0
+IlTopLeftTileIndex_3            : 0 2 2 0
+IlBottomRightTileIndex_0        : 5 1
+IlBottomRightTileIndex_1        : 0 1 1 
+IlBottomRightTileIndex_2        : 5 6 8 1
+IlBottomRightTileIndex_3        : 0 4 3 1
+IlcIdc                          : 0 0 0 0
+IlExactSampleValueMatchFlag     : 0 0 0 0 
+AllTilesIlcIdc                  : 0
Index: /trunk/cfg/SEI/layersNotPresentSei.cfg
===================================================================
--- /trunk/cfg/SEI/layersNotPresentSei.cfg	(revision 1356)
+++ /trunk/cfg/SEI/layersNotPresentSei.cfg	(revision 1356)
@@ -0,0 +1,19 @@
+
+PayloadType                     : 160
+
+#======== Applicability  ==========    ( SEI is only send for pictures in intersection )
+ApplicableLayerIds              : 0                              # LayerIds      of layers   to which the SEI is added. (all when empty)
+ApplicablePocs                  : 0                              # POCs          of pictures to which the SEI is added. (all when empty)
+ApplicableTids                  : 0                              # Tids          of pictures to which the SEI is added. (all when empty)
+ApplicableVclNaluTypes          : 19 20                          # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
+
+#======== Position in bit stream  ============
+SeiNaluId                       : 0                              # Identifies to which NAL unit  the SEI is added. 
+PositionInSeiNalu               : 0                              # Identifies the position within the NAL unit
+
+#======== Payload modification =============
+ModifyByEncoder                 : 0                               #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
+
+#======== Payload specification =============
+LnpSeiActiveVpsId               : 0
+LayerNotPresentFlag             : 0 0 0                           # All layers present
Index: /trunk/cfg/SEI/multiviewAcquisitionInfoSei.cfg
===================================================================
--- /trunk/cfg/SEI/multiviewAcquisitionInfoSei.cfg	(revision 1356)
+++ /trunk/cfg/SEI/multiviewAcquisitionInfoSei.cfg	(revision 1356)
@@ -0,0 +1,55 @@
+PayloadType                     : 179
+
+#======== Applicability  ==========    ( SEI is only send for pictures in intersection )
+ApplicableLayerIds              :                                # LayerIds      of layers   to which the SEI is added. (all when empty)
+ApplicablePocs                  : 0                              # POCs          of pictures to which the SEI is added. (all when empty)
+ApplicableTids                  : 0                              # Tids          of pictures to which the SEI is added. (all when empty)
+ApplicableVclNaluTypes          : 19 20                          # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
+
+#======== Position in bit stream  ============
+SeiNaluId                       : 0                              # Identifies to which NAL unit  the SEI is added. 
+PositionInSeiNalu               : 0                              # Identifies the position within the NAL unit
+
+#======== Payload modification =============
+ModifyByEncoder                 : 0                            #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
+
+#======== Payload specification =============
+IntrinsicParamFlag              : 1
+ExtrinsicParamFlag              : 1
+IntrinsicParamsEqualFlag        : 1
+PrecFocalLength                 : 31
+PrecPrincipalPoint              : 31
+PrecSkewFactor                  : 31
+SignFocalLengthX                : 0
+ExponentFocalLengthX            : 0
+MantissaFocalLengthX            : 0
+SignFocalLengthY                : 0
+ExponentFocalLengthY            : 0
+MantissaFocalLengthY            : 0
+SignPrincipalPointX             : 0
+ExponentPrincipalPointX         : 0
+MantissaPrincipalPointX         : 0
+SignPrincipalPointY             : 0
+ExponentPrincipalPointY         : 0
+MantissaPrincipalPointY         : 0
+SignSkewFactor                  : 0
+ExponentSkewFactor              : 0
+MantissaSkewFactor              : 0
+PrecRotationParam               : 31
+PrecTranslationParam            : 31
+
+SignR_0_0                       : 0 1 0
+SignR_0_1                       : 1 0 0
+SignR_0_2                       : 0 1 1
+
+ExponentR_0_0                   : 10 20 11
+ExponentR_0_1                   : 10 5 11
+ExponentR_0_2                   :  2 20 11
+
+MantissaR_0_0                   : 4  9  1
+MantissaR_0_1                   : 0  3  4
+MantissaR_0_2                   : 3  3  7
+
+SignT_0                         : 0  1  0
+ExponentT_0                     : 0 10  5
+MantissaT_0                     : 1  8  9
Index: /trunk/cfg/SEI/multiviewSceneInfoSei.cfg
===================================================================
--- /trunk/cfg/SEI/multiviewSceneInfoSei.cfg	(revision 1356)
+++ /trunk/cfg/SEI/multiviewSceneInfoSei.cfg	(revision 1356)
@@ -0,0 +1,19 @@
+
+PayloadType                     : 178
+
+#======== Applicability  ==========    ( SEI is only send for pictures in intersection )
+ApplicableLayerIds              :                                # LayerIds      of layers   to which the SEI is added. (all when empty)
+ApplicablePocs                  :                                # POCs          of pictures to which the SEI is added. (all when empty)
+ApplicableTids                  :                                # Tids          of pictures to which the SEI is added. (all when empty)
+ApplicableVclNaluTypes          : 16 17 18 19 20 21              # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
+
+#======== Position in bit stream  ============
+SeiNaluId                       : 0                              # Identifies to which NAL unit  the SEI is added. 
+PositionInSeiNalu               : 0                              # Identifies the position within the NAL unit
+
+#======== Payload modification =============
+ModifyByEncoder                 : 0                              #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
+
+#======== Payload specification =============
+MinDisparity                    : -333
+MaxDisparityRange               : 2047
Index: /trunk/cfg/SEI/multiviewViewPositionSei.cfg
===================================================================
--- /trunk/cfg/SEI/multiviewViewPositionSei.cfg	(revision 1356)
+++ /trunk/cfg/SEI/multiviewViewPositionSei.cfg	(revision 1356)
@@ -0,0 +1,19 @@
+
+PayloadType                     : 180
+
+#======== Applicability  ==========    ( SEI is only send for pictures in intersection )
+ApplicableLayerIds              : 0                              # LayerIds      of layers   to which the SEI is added. (all when empty)
+ApplicablePocs                  : 0                              # POCs          of pictures to which the SEI is added. (all when empty)
+ApplicableTids                  : 0                              # Tids          of pictures to which the SEI is added. (all when empty)
+ApplicableVclNaluTypes          : 19 20                          # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
+
+#======== Position in bit stream  ============
+SeiNaluId                       : 0                              # Identifies to which NAL unit  the SEI is added. 
+PositionInSeiNalu               : 0                              # Identifies the position within the NAL unit
+
+#======== Payload modification =============
+ModifyByEncoder                 : 1                              #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
+
+#======== Payload specification =============
+NumViewsMinus1                  : 2            
+ViewPosition                    : 2 0 1        
Index: /trunk/cfg/SEI/overlayInfoSei.cfg
===================================================================
--- /trunk/cfg/SEI/overlayInfoSei.cfg	(revision 1356)
+++ /trunk/cfg/SEI/overlayInfoSei.cfg	(revision 1356)
@@ -0,0 +1,45 @@
+PayloadType                     : 166
+
+#======== Applicability  ==========    ( SEI is only send for pictures in intersection )
+ApplicableLayerIds              :                             # LayerIds      of layers   to which the SEI is added. (all when empty)
+ApplicablePocs                  :                             # POCs          of pictures to which the SEI is added. (all when empty)
+ApplicableTids                  :                             # Tids          of pictures to which the SEI is added. (all when empty)
+ApplicableVclNaluTypes          :                             # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
+
+#======== Position in bit stream  ============
+SeiNaluId                       : 0                              # Identifies to which NAL unit  the SEI is added.
+PositionInSeiNalu               : 0                              # Identifies the position within the NAL unit
+
+#======== Payload modification =============
+ModifyByEncoder                 : 0                            #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
+
+#======== Payload specification =============
+OverlayInfoCancelFlag           : 0
+OverlayContentAuxIdMinus128     : 1
+OverlayLabelAuxIdMinus128       : 2
+OverlayAlphaAuxIdMinus128       : 3
+OverlayElementLabelValueLengthMinus8: 0
+NumOverlaysMinus1               : 1
+OverlayIdx                      : 2 5
+LanguageOverlayPresentFlag      : 0 1
+OverlayContentLayerId           : 0 2
+OverlayLabelPresentFlag         : 1 1
+OverlayLabelLayerId             : 1 3
+OverlayAlphaPresentFlag         : 0 0
+OverlayAlphaLayerId             : 
+NumOverlayElementsMinus1        : 3 0
+OverlayElementLabelMin_0        : 40 100 170 230
+OverlayElementLabelMax_0        : 80 140 210 255
+OverlayElementLabelMin_1        : 40
+OverlayElementLabelMax_1        : 80
+OverlayLanguage_0               : Language overlay 0
+OverlayLanguage_1               : Language overlay 1
+OverlayName_0                   : Overlay 0
+OverlayName_1                   : Overlay 1
+OverlayElementName_0_0          : Overlay 0 Element 0
+OverlayElementName_0_1          : Overlay 0 Element 1
+OverlayElementName_0_2          : Overlay 0 Element 2
+OverlayElementName_0_3          : Overlay 0 Element 3
+OverlayElementName_0_4          : Overlay 0 Element 4
+OverlayElementName_1_0          : Overlay 1 Element 0
+OverlayInfoPersistenceFlag      : 1
Index: /trunk/cfg/SEI/subBitstreamPropertySei.cfg
===================================================================
--- /trunk/cfg/SEI/subBitstreamPropertySei.cfg	(revision 1356)
+++ /trunk/cfg/SEI/subBitstreamPropertySei.cfg	(revision 1356)
@@ -0,0 +1,24 @@
+
+PayloadType                     : 164
+
+#======== Applicability  ==========    ( SEI is only send for pictures in intersection )
+ApplicableLayerIds              : 0                            # LayerIds      of layers   to which the SEI is added. (all when empty)
+ApplicablePocs                  : 0                            # POCs          of pictures to which the SEI is added. (all when empty)
+ApplicableTids                  : 0                            # Tids          of pictures to which the SEI is added. (all when empty)
+ApplicableVclNaluTypes          : 19 20                       # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
+
+#======== Position in bit stream  ============
+SeiNaluId                       : 0                              # Identifies to which NAL unit  the SEI is added. 
+PositionInSeiNalu               : 0                              # Identifies the position within the NAL unit
+
+#======== Payload modification =============
+ModifyByEncoder                 : 0                              #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
+
+#======== Payload specification =============
+SbPropertyActiveVpsId           : 0
+NumAdditionalSubStreamsMinus1   : 0
+SubBitstreamMode                : 0
+OlsIdxToVps                     : 0
+HighestSublayerId               : 0
+AvgSbPropertyBitRate            : 0
+MaxSbPropertyBitRate            : 0
Index: /trunk/cfg/SEI/temporalMvPredictionConstraintsSei.cfg
===================================================================
--- /trunk/cfg/SEI/temporalMvPredictionConstraintsSei.cfg	(revision 1356)
+++ /trunk/cfg/SEI/temporalMvPredictionConstraintsSei.cfg	(revision 1356)
@@ -0,0 +1,19 @@
+
+PayloadType                     : TBD
+
+#======== Applicability  ==========    ( SEI is only send for pictures in intersection )
+ApplicableLayerIds              : TBD                            # LayerIds      of layers   to which the SEI is added. (all when empty)
+ApplicablePocs                  : TBD                            # POCs          of pictures to which the SEI is added. (all when empty)
+ApplicableTids                  : TBD                            # Tids          of pictures to which the SEI is added. (all when empty)
+ApplicableVclNaluTypes          : TBD                            # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
+
+#======== Position in bit stream  ============
+SeiNaluId                       : 0                              # Identifies to which NAL unit  the SEI is added. 
+PositionInSeiNalu               : 0                              # Identifies the position within the NAL unit
+
+#======== Payload modification =============
+ModifyByEncoder                 : TBD                            #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
+
+#======== Payload specification =============
+PrevPicsNotUsedFlag             : 0
+NoIntraLayerColPicFlag          : 0
Index: /trunk/cfg/SEI/threeDimensionalReferenceDisplaysInfoSei.cfg
===================================================================
--- /trunk/cfg/SEI/threeDimensionalReferenceDisplaysInfoSei.cfg	(revision 1356)
+++ /trunk/cfg/SEI/threeDimensionalReferenceDisplaysInfoSei.cfg	(revision 1356)
@@ -0,0 +1,30 @@
+
+PayloadType                     : 176
+
+#======== Applicability  ==========    ( SEI is only send for pictures in intersection )
+ApplicableLayerIds              : 0                              # LayerIds      of layers   to which the SEI is added. (all when empty)
+ApplicablePocs                  : 0                              # POCs          of pictures to which the SEI is added. (all when empty)
+ApplicableTids                  : 0                              # Tids          of pictures to which the SEI is added. (all when empty)
+ApplicableVclNaluTypes          : 19 20                          # NaluUnitTypes of picture  to which the SEI is added. (all when empty)
+
+#======== Position in bit stream  ============
+SeiNaluId                       : 0                              # Identifies to which NAL unit  the SEI is added. 
+PositionInSeiNalu               : 0                              # Identifies the position within the NAL unit
+
+#======== Payload modification =============
+ModifyByEncoder                 : 0                              #  0: Use payload as specified in cfg file   1: Modify SEI by encoder.
+
+#======== Payload specification =============
+PrecRefDisplayWidth             : 2
+RefViewingDistanceFlag          : 1
+PrecRefViewingDist              : 1
+NumRefDisplaysMinus1            : 0
+LeftViewId                      : 3
+RightViewId                     : 1
+ExponentRefDisplayWidth         : 36
+MantissaRefDisplayWidth         : 68
+ExponentRefViewingDistance      : 37
+MantissaRefViewingDistance      : 94
+AdditionalShiftPresentFlag      : 1
+NumSampleShiftPlus512           : 482
+ThreeDimensionalReferenceDisplaysExtensionFlag: 0
Index: /trunk/source/App/TAppDecoder/TAppDecCfg.cpp
===================================================================
--- /trunk/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 1355)
+++ /trunk/source/App/TAppDecoder/TAppDecCfg.cpp	(revision 1356)
@@ -109,5 +109,9 @@
   ("ForceDecodeBitDepth",       m_forceDecodeBitDepth,                 0U,         "Force the decoder to operate at a particular bit-depth (best effort decoding)")
 #endif
+#if NH_MV_SEI
+  ("OutputDecodedSEIMessagesFilename,m",  m_outputDecodedSEIMessagesFilename,    string(""), "When non empty, output decoded SEI messages to the indicated file. If file is '-', then output to stdout\n")
+#else
   ("OutputDecodedSEIMessagesFilename",  m_outputDecodedSEIMessagesFilename,    string(""), "When non empty, output decoded SEI messages to the indicated file. If file is '-', then output to stdout\n")
+#endif
   ("ClipOutputVideoToRec709Range",      m_bClipOutputVideoToRec709Range,  false, "If true then clip output video to the Rec. 709 Range on saving")
   ;
Index: /trunk/source/App/TAppDecoder/TAppDecCfg.h
===================================================================
--- /trunk/source/App/TAppDecoder/TAppDecCfg.h	(revision 1355)
+++ /trunk/source/App/TAppDecoder/TAppDecCfg.h	(revision 1356)
@@ -82,13 +82,13 @@
   Int           m_targetOptLayerSetIdx;                 ///< target output layer set index
   Int           m_targetDecLayerSetIdx;
-  Int           m_baseLayerOutputFlag; 
-  Int           m_baseLayerPicOutputFlag; 
-  Int           m_auOutputFlag; 
+  Int           m_baseLayerOutputFlag;
+  Int           m_baseLayerPicOutputFlag;
+  Int           m_auOutputFlag;
   Int           m_maxLayerId;                           ///< maximum nuh_layer_id decoded
-  std::ifstream m_bitstreamFile; 
+  std::ifstream m_bitstreamFile;
   Int           m_highestTid;
   Bool          m_targetDecLayerIdSetFileEmpty;       ///< indication if target layers are given by file
 
-  Bool          m_printVpsInfo;                      ///< Output VPS information 
+  Bool          m_printVpsInfo;                      ///< Output VPS information
   Bool          m_printPicOutput;                     ///< Print information on picture output
   Bool          m_printReceivedNalus;                 ///< Print information on received NAL units
@@ -124,4 +124,7 @@
       m_outputBitDepth[channelTypeIndex] = 0;
     }
+#if NH_3D
+    m_pchScaleOffsetFile = NULL;
+#endif
   }
 
